Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.fo
Enum OdfHyphenationKeepType

    java.lang.Object
      java.lang.Enum<OdfHyphenationKeepType>
          org.odftoolkit.odfdom.dom.type.fo.OdfHyphenationKeepType

All Implemented Interfaces:
  Serializable, Comparable<OdfHyphenationKeepType>

    public enum OdfHyphenationKeepType

extends Enum<OdfHyphenationKeepType>

DOM implementation of OpenDocument attribute fo:hyphenation-keep.

Enum Constant Summary
`AUTO`
`PAGE`

Method Summary
`static OdfHyphenationKeepType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfHyphenationKeepType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfHyphenationKeepType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfHyphenationKeepType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTO

    public static final OdfHyphenationKeepType AUTO

### PAGE

    public static final OdfHyphenationKeepType PAGE

Method Detail

### values

    public static OdfHyphenationKeepType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfHyphenationKeepType c : OdfHyphenationKeepType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfHyphenationKeepType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfHyphenationKeepType>`
  Returns:
    return the name of OdfHyphenationKeepType

### toString

    public static String toString(OdfHyphenationKeepType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfHyphenationKeepType, see fo:hyphenation-keep
  Returns:
    return the name of OdfHyphenationKeepType

### enumValueOf

    public static OdfHyphenationKeepType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfHyphenationKeepType
  Returns:
    return the constant of OdfHyphenationKeepType, see fo:hyphenation-keep

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.